org.apache.hc.client5.http.impl

## Class DefaultClientConnectionReuseStrategy

- java.lang.Object
- - org.apache.hc.core5.http.impl.DefaultConnectionReuseStrategy
  - - org.apache.hc.client5.http.impl.DefaultClientConnectionReuseStrategy

All Implemented Interfaces:
  ConnectionReuseStrategy

    @Contract(threading=STATELESS)
    public class DefaultClientConnectionReuseStrategy
    extends DefaultConnectionReuseStrategy

Extension of core `DefaultConnectionReuseStrategy` that treats CONNECT method exchanges involved in proxy tunnelling as a special case.

Since:
  5.2

### Field Summary

Fields
`static DefaultClientConnectionReuseStrategy` `INSTANCE` Default instance of `DefaultClientConnectionReuseStrategy`.

### Constructor Summary

Constructors
Constructor and Description
`DefaultClientConnectionReuseStrategy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `keepAlive(HttpRequest request, HttpResponse response, HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final DefaultClientConnectionReuseStrategy INSTANCE

Default instance of `DefaultClientConnectionReuseStrategy`.

### Constructor Detail

#### DefaultClientConnectionReuseStrategy

    public DefaultClientConnectionReuseStrategy()

### Method Detail

#### keepAlive

    public boolean keepAlive(HttpRequest request,
                             HttpResponse response,
                             HttpContext context)

Specified by:
  `keepAlive` in interface `ConnectionReuseStrategy`
Overrides:
  `keepAlive` in class `DefaultConnectionReuseStrategy`